<?php 
if(!empty($menu_items_pion))
{
	echo '<div class="left_menu">';
	//2 poziomowe drzewko	
	//print_r($menu_items_pion);
	
	$art_id = $this->uri->segment(3);
	//echo $art_id;
	
	$art_from_menu = null;
	$menu_id = null;
	$parent = null;
	
	if(!empty($art_id))
	{
		//sprawdzenie czy artykul jest z menu pionowego i czy jest parentem	
	
		foreach($menu_items_pion as $item)
		{	
			if($art_id==$item['idelement'])
			{
				$art_from_menu=$art_id;
				$menu_id = $item['idmenu_items']; 
				$parent = $item['idparent'];
			}
		}

		//echo $art_from_menu.'--';
		//echo $parent.'<br /><br />';
		$line_submenu=0;	
		$line_menu=0;
		
		foreach($menu_items_pion as $item)
		{
			//jezeli artykul z menu jest parentem
			if(!empty($art_from_menu) && empty($parent))
			{ 
				if($art_from_menu==$item['idelement'])
				{ 						
					if($line_submenu!=0) echo '<div class="padding_line"><div class="green_line"> </div></div>';
					$line_submenu++; 

					echo '<a class="pion_menu_selected" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';
					
					if($item['idelement']!=212 and $item['idelement']!=213 and $item['idelement']!=214 and $item['idelement']!=215 and $item['idelement']!=216)
					{						
						echo '<a class="pion_submenu" href="#o-parku">O parku</a>';
						echo '<a class="pion_submenu" href="#cennik">Cennik</a>';
						echo '<a class="pion_submenu" href="#godziny-otwarcia">Godziny otwarcia</a>';
						echo '<a class="pion_submenu" href="#lokalizacja">Lokalizacja</a>';
						echo '<a class="pion_submenu" href="#kontakt">Kontakt</a>';
					}
					elseif($item['idelement']==214)
					{
						echo '<a class="pion_submenu" href="#przygoda-z-linami">Przygoda z linami</a>';
						echo '<a class="pion_submenu" href="#tor-przeszkod">Tor przeszkód</a>';
						echo '<a class="pion_submenu" href="#orienterging">Orienterging</a>';
						echo '<a class="pion_submenu" href="#teambuilding">Teambuilding</a>';
						echo '<a class="pion_submenu" href="#survival">Survival</a>';
						echo '<a class="pion_submenu" href="#katapulty">Katapulty</a>';
						echo '<a class="pion_submenu" href="#pierwsza-pomoc">Pierwsza pomoc</a>';						
					}									
				}				
																	
				if(empty($item['idparent']) && $art_from_menu!=$item['idelement'])				
				{ 
					if($line_submenu!=0) echo '<div class="padding_line"><div class="green_line"> </div></div>';
					$line_submenu++; 	
				
					echo '<a class="pion_menu" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';													
				}
			}					
			
			//jzeliartykul z menu nie jest ani parentem ani submenu
			if(empty($art_from_menu))
			{ 				
				if(empty($item['idparent']))
				{ 
					echo '<a class="pion_menu" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';
													
					$line_submenu++;
					if($line_submenu != $menu_pion_parents) echo '<div class="padding_line"><div class="green_line"> </div></div>';
				}
			}
			
		}
	}
	
	echo '</div>';
}?>